package org.jeecg.modules.system.app.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.app.dto.AddFamilyMembersDTO;
import org.jeecg.modules.app.dto.FindFamilyMembersDTO;
import org.jeecg.modules.system.app.dto.FindFamilyMembersResponseDTO;
import org.jeecg.modules.system.app.entity.FamilyMembers;

/**
 * @Description: 家庭成员信息表
 * @Author: jeecg-boot
 * @Date:   2025-07-07
 * @Version: V1.0
 */
public interface IFamilyMembersService extends IService<FamilyMembers> {

    Result<FindFamilyMembersResponseDTO> findByUserId(String userId);

    Result<String> addFamilyMembers(AddFamilyMembersDTO addFamilyMembersDTO);

    Result<String> editFamilyMembers(AddFamilyMembersDTO addFamilyMembersDTO);

    Result<String> deleteFamilyMembers(String id);


    Result<IPage<FamilyMembers>> findFamilyMembers(FindFamilyMembersDTO findFamilyMembersDTO);
}
